Subject: Re: bug#55768: 26.3; isearch highlighting in dired

From: Thierry EMERY <[email-masked]>
Date: Thu, 30 Jun 2022 16:37:50 +0200

Hello,

Good news: the bug that i had in Emacs 26.3 is not present in 28.1.
With Emacs 28.1 compiled from source and started with "src/emacs -Q" i can
use incremental search (e.g. in dired) including for visible text (found)
or invisible text (not found), and highlighting is correct in all cases.
Also i see in Emacs 28.1 sources that `invisible-p' has been rewritten (in
C), and is more thorough than in 26.3 :-)

Thanks,

Thierry

Le jeu. 30 juin 2022 à 11:31, Lars Ingebrigtsen <[email-masked]> a écrit :

> Juri Linkov <[email-masked]> writes:
>
> >> That's true.  Was that the intention here -- first to check invisibility
> >> of both text properties and overlays and then only check invisibility of
> >> text properties?
> >
> > Yep, that is my understanding too: first check both, then each
> separately.
>
> Right.
>
> Anyway, back to the original issue -- Thierry, you reported this problem
> for Emacs 26.3, but do you see it in more recent Emacs versions?
>
> If so, can you give a complete recipe to reproduce it, starting from
> "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>